StrongList.ListItr (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.StrongList.ListItr class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class StrongList.ListItr

    java.lang.Object
      org.hyperic.util.StrongCollection.Itr
          org.hyperic.util.StrongList.ListItr

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  StrongList

    protected class StrongList.ListItr

extends StrongCollection.Itr
implements java.util.ListIterator

Field Summary

Fields inherited from class org.hyperic.util.StrongCollection.Itr
`m_itr`

Constructor Summary
`protected` | `StrongList.ListItr(java.util.ListIterator i)`

Method Summary
`void` | `add(java.lang.Object o)`
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `set(java.lang.Object o)`

Methods inherited from class org.hyperic.util.StrongCollection.Itr
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Constructor Detail

### StrongList.ListItr

    protected StrongList.ListItr(java.util.ListIterator i)

Method Detail

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.